#
# spec file for package libretro-mame2003-plus
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           libretro-mame2003-plus
Version:        0~git20210611
Release:        1699.1.pm.26
Summary:        MAME 2003 Plus libretro core for arcade emulation
License:        NonFree
URL:            http://www.retroarch.com
Source:         %{name}-%{version}.tar.xz

BuildRequires:  gcc-c++
BuildRequires:  make

%description
MAME 2003-Plus (also referred to as MAME 2003+ and mame2003-plus) is a libretro
arcade system emulator core with an emphasis on high performance and broad
compatibility with mobile devices, single board computers, embedded systems,
and similar platforms.

In order to take advantage of the performance and lower hardware requirements
of an earlier MAME architecture, MAME 2003-Plus began with the MAME 2003
codebase which is itself derived from xmame 0.78. Upon that base, MAME 2003-Plus
contributors have backported support for an additional 350 games, as well as other
functionality not originally present in the underlying codebase.

This package is for RetroArch/libretro front-end.

%prep
%setup -q

%build
make

%install
mkdir -p %{buildroot}%{_libdir}/libretro
cp mame2003_plus_libretro.so %{buildroot}%{_libdir}/libretro

%files
%dir %{_libdir}/libretro
%{_libdir}/libretro/mame2003_plus_libretro.so

%changelog
* Sat Jun 12 2021 i@guoyunhe.me
- Update to version 0~git20210611:
  * Remove input cache (#1067)
  * mspactwin inputs small correction
  * Dat
  * updatety
  * Hookup missing MSM5205 sound for Tecmo Bowl
  * Add calorie to the Info around what games are using the Sega 317 decryption
  * Dat
  * Hmm try and make it fit to one line
  * Updatey Sega stuff
  * New driver calorie.c
  * calorie romsets
  * Calorie Kun decode
  * Start to hookup Calorie Kun to the Sega Decryption
  * New working game Calorie Kun vs Moguranian
  * Layout descriptions
  * resync
  * Pad naming (#1065)
  * 7 and 8 players (#1064)
  * lightgun cleanups
  * fix p4-p8 labels
  * remove gun and fixup controller type structs
  * Lightgun option (#1060)
  * Revert or3
  * add and use codes for lightgun inputs, enable players 7 and 8 (#1055)
  * remove references to ctrlr file format
  * remove unused ctrlr string parsing code
  * Dat
  * more credits
  * msdyna and sraider
  * SN76496 now supports 5 soundchips
  * We'll need 5 soundchips for sraider
  * sraider stars gfx is handled in reclash.c
  * New video code for sraider and mrsdyna
  * Connected to upcoming ladybug.c video changes
  * Let's support Space Raider and Mrs. Dynamite
  * Dat
  * Drop in more credits
  * ghoxj
  * Hook up the HD647180 MCU sound support for Ghox and add a new Joytick version
  * add helpers for 7-code sequences
  * read sprite ram from well spriteram! (#1049)
  * mspactwin - fix title screen flash
  * Mspactwin inputs
  * Dat
  * Pacman-vidhrdw (#1048)
  * Power Up Baseball speedup
  * Fix reset
  * Mspactwin hiscore
  * Unused
  * fix unresolved symbol
  * Mspactwin (#1047)
  * Truco
  * Add files via upload
  * Truco - added imperfect sound support. (#1046)
  * Add files via upload
  * toutrun romsets
  * Minor oversight
  * toutruna -> toutrun3
  * Rejig the Turbo Out Run romsets
  * Fix MT 7960
  * comments and better labels for analog axes
  * Put it where it should be alphabetically
  * Dat again
  * Dat
  * Turbo Out Run
  * New working game Turbo Outrun
  * mention the sound fix
  * Improve the sound in Steel Force
  * Add some more info around what is actually fixed in Contra
  * Contra protection improvements
  * Contra protection improvements
  * Revert "refactor: less input caching (#1039)" (#1040)
  * refactor: less input caching (#1039)
  * Usclssic colors fixed
  * lightgun api implementation (#1028)
  * Updatety
  * Konami sound improvements final part
  * Konami sound improvements part 2
  * Konami sound improvements part 1
  * Update Makefile.common
  * Add files via upload
  * FFS
  * New one
  * bronx
  * Some small video changes for Bronx
  * Add a working bootleg
  * Update catver.ini
  * Update catver.ini
  * Update catver.ini
  * ichir and tantr
  * Puzzle
  * Rejig Puzzle & Action romsets
  * Add a couple of Puzzle & Action Korean sets
  * whitespace
  * reduce cheat file size
  * wheelrun added
  * Attempt to hookup Sn76496 sound for Wheels Runner
  * Wheelrun minimize slideout (#1032)
  * Revert to 4
  * Credits are due
  * Use original range
  * Wheelrun (#1031)
  * Borntofi center lightgun (#1030)
  * Borntofi lightgun crosshairs (#1029)
  * Fix typo
  * Fix controls
  * Input labels
  * Clean up some
  * Adjust volume / cleanup
  * Remove libflac and zlib parts that we don't need (#1027)
  * Thank you arnoldsecret
  * backport general input updates from lightgun branch (#1026)
  * updatey
  * Add files via upload
  * borntofi gfx fixes
  * New working game Born To Fight
  * Update fantland.c
  * Datmagic (#1024)
  * Update dat
  * Mention the new one
  * Small changes for Space Position Gfx
  * New working game Sega's Space Position
  * input cleanups
  * additional input cleanup and refactoring (#1021)
  * Update mame2003.c
  * OpenDingux support (#1019)
  * cleanup, less redundancy between libretro & mame input (#1014)
  * Libretro common (#1015)
  * Revert "comply as best as possible with analog input api (#1008)"
  * Update
  * comply as best as possible with analog input api (#1008)
  * normalize line endings (#1010)
  * Whoops forgot something
  * New stuff
  * Hook up the HD647180 sound mcu's for Teki Paki and Whoopee
  * Cleanup
  * small comments addition & cleanup (#1007)
  * Whitespaces (#1006)
  * Analog (#1005)
  * Simplify again
  * Simplify
  * Simplify calc_player_index
  * For real though, fix right analog
  * Fix right analog
  * merge current progress for inputs (#1004)
  * inputs update for wip build (#1003)
  * Input comments and constant clarification (#1000)
  * improve comments and clarify input code (#997)
  * Mips3 (#999)
  * jamiecurmi update
  * one more time
  * invasioa and invasiob set to clones
  * Update mame2003-plus.xml
  * Updategames202103 (#998)
  * FFS try that again
  * Build fix
  * Test umk3p fix part 2
  * Test possible fix for umk3p
  * TMNT audio decoding (#996)
  * update
  * umk3 bootstrapped
  * Whitespaces
  * Whitespace
  * Whitespaces
  * Mention the new stuff
  * Video changes required for Combat Hawk
  * combh
  * New working game Combat Hawk
  * moved to mame2003.h
  * input source cleanup and constants refactoring (#988)
  * update dat
  * updatety
  * bubblbob2p commandw recalh
  * some changes to the video code required by recalh
  * recalh and commandw kludges
  * Add 3 prototypes to our taito_f3 driver
  * Pal5bit color (#993)
  * Pal5bit midtunit (#992)
  * Remove extra eob
  * Seems i broke Red Robin when adding Fly Boy prot so time to fix it
  * Amercian Horseshoes dips
  * cave.c related
  * Test finished add back in the MAME2003+ cave.c
  * Artwork overlay improvements2 (#991)
  * Duh
  * ReWord
  * Word
  * List the compatibility table
  * Ios (#990)
  * cave.c remove these pending test
  * test 2
  * test
  * patch umk3p coin glitch
  * Mention Sea Wolf II samples
  * Add sound sample support for Sea Wolf II
  * Cclimbr2
  * Cclimbr2 (#984)
  * Graphics fix
  * update
  * Diver Boy sort some gfx niggles
  * Fix sound and some gfx niggles in Diver Boy
  * Clearify description as artwork option
  * cheekyms trigger (#983)
  * Infinate or infinite even :)
  * updatey
  * Toaplan 2 fix dip switches
  * Toaplan 1 Dip Switch fixes
  * Update .gitlab-ci.yml
  * 8 Dac for cheekyms (#982)
  * Update CHANGELOG.md
  * cheekyms sound triggers (#981)
  * (MSVC 2005) Workaround internal compiler error (MSVC) Embed MSVCRT runtime
  * Update mame2003.c
  * More spaces
  * Space
  * More input stuff (#979)
  * Add case 5 and 6 mouse
  * Updatey
  * sslama (set2)
  * Fix Super Slam Tennis gfx
  * Super Slam Tennis Improvements
  * Fix C89 build errors
  * Single default mapping (#977)
  * Move offs int.
  * Add MSVC 2005/2010 targets
  * Add MSVC 2005/2010 targets
  * mention the new one
  * tidy up
  * Powerup Baseball widthpix gfx
  * pubball
  * New workng game Power Up Baseball
  * Fix
  * Remove line
  * Format makefile
  * Date
  * Shootout rot180 confirmed
  * Bogeyman rot180 confirmed
  * Shallow dips / inputs
  * (macOS) Set up CROSS_COMPILE for ARM 64bit
  * Journey dip switches / inputs
  * Space for linkout
  * MacOS PowerPC 32-bit
  * White space removal
  * (Mac) Detection of 'lesser than Mavericks' was wrong
  * (Mac) Add mac x64/arm64 targets
  * Emscripten
  * storming: fix videoram oob access
  * Update datmagic.c
  * Show actual string
  * Fix Overflow
  * upgrade to version 5
  * Update mame2003-plus.xml
  * space
  * change to graphic
  * whoops
  * Head On Channel. Oo Parts SHA1's
  * fix add samples back in
  * update banner
  * Tidy 3
  * Tidy again
  * Tidy
  * upgrade to version 4
  * add rpi4 aarch64
  * add graphics imperfect
  * add imperfect graphics
  * Switch to css background-color
  * fix up compiler warnings
  * generates html / add make
  * realgame check
  * ooparts
  * upgrade to version 2
  * updatey
  * ooparts
  * New working game Oo Parts
  * Linux 32 and iOS9 builds
  * Clean up
  * tidy some
  * Create datmagic.c
  * Remove extra comment
  * Update Makefile
  * Move 3ds
  * Cleanup
  * More format
  * Format
  * Build psp
  * Not needed
  * For the new one
  * Daikaiju rom hookup
  * Daikaiju Video
  * Daikaiju MCU
  * New working game Daikaiju no Gyakushu
  * Only match when found in driver list
  * Clean up
  * house keeping
  * precompile
  * Getstar (#960)
  * comment out imago
  * clean up
  * Update .gitlab-ci.yml
  * Cheekyms (#958)
  * Unknown
  * Imago attract sound
  * Update galaxian starfield color range (#959)
  * Update mame2003-plus.xml
  * Imago (#956)
  * Remove wii
  * Update .gitlab-ci.yml
  * Cleanup
  * 1994 is actually the year it was made
  * Rc filter
  * Streams test (#952)
  * Light cleanup
  * Remove mwup for wiiu
  * Update .gitlab-ci.yml
  * Mention the new one and another which slipped the net
  * headonch
  * New working game SEGA's Head On Channel
  * Update .gitlab-ci.yml
  * Colors are correct
  * Mature tag
  * Backfire force single screen only display
  * Update mame2003-plus.xml
  * newsin7 gfx decode (#948)
  * Hal21 color (#947)
  * Verified to be correct in later mames.
  * Remove note
  * Timelimt color (#946)
  * Colors correct
  * Findout
  * Findout color (#945)
  * Mature tag
  * Fix
  * Cocktail wip
  * Dip update
  * Mature tag
  * Res_net
  * Oops still need GAMEX for sound
  * Fix colors in sbowling
  * Activate outputs
  * Res_net improvements (#943)
  * Speedspn / funybubl
  * Dip note
  * Inputs
  * Oops
  * Remove imperfect tag
  * Player 2 sprites fix
  * Remove sound tag
  * Sound rom loading
  * Update funybubl.c
  * Remove imperfect tag
  * Fix sprites
  * graphics glitches in speedspn
  * Update mame2003-plus.xml
  * sstingry
  * Revert
  * Pal 5 bit
  * Remove old
  * Flipscreen
  * Colors are correct
  * Sting GfxLayout
  * No static
  * Video banking
  * Update alpha68k.c
  * Update alpha68k_vidhrdw.c
  * sstingry color rom fixup wip
  * Safarir
  * Safarir world
  * Safarirj added
  * Safarir world
  * Support safarir world
  * Update CHANGELOG.md
  * Format more
  * Format some
  * More updates
  * skyarmy: Fix bitrot
  * Colors are good, no cocktail though
  * skyarmy inputs
  * Drivfrcg correct colors
  * Drivfrcg video code hookup
  * Wip
  * Drivfrcg video code
  * Try again
  * drivfrcg color proms
  * Push even further
  * Update mame2003-plus.xml
  * fix label
  * adjust volume louder
  * safarir
  * safarir more updates - now with sample support
  * tweak
  * safarir colors fixed
  * Opps
  * safarir wip colors
  * Prom is correct for this conversion
  * Colors corrected for scobra hardware
  * Fixed redefinition errors.
  * Remove a "const" that shouldn't really be used.
  * Update CHANGELOG.md
  * Some manufacturer corrections
  * superbon add color prom from scobra
  * machomou color proms - fix color
  * Tidy up
  * Added indianbt, yosakdoa, cosmicm2.
  * Updated overlays for geebee, navalone, kaitei, sos
  * Updated overlays starcas, tailg, sundance, solarq.
  * Updated overlays for deadeye, gypsyjug.
  * Updated overlay for circus, ripcord and crash.
  * Mrtnt 8bpm colors fixed
  * Updated overlay for Avalanche based on sources.
  * Reinstated overlay, with demonstratable reason why.
  * Overhaul of overlays for sbrkout.
  * Updated and new overlays for a range of games.
  * Code for overlay on geebee, navalone, sos, kaitei.
  * Added sound handlers for indianbt.
  * New inits for new games and updates on existing.
  * Added new art_overlay_opacity game option.
  * Added new games cosmicm2, indianbt, yosakdoa.
  * Added overlay_opacity game option.
  * Added new drivers for indianbt, cosmicm2, yosakdoa.
  * New overlay type, scaling factors, opacity control
  * Added new overlay type, tags and documentation.
  * Added PLATCFLAGS to macOS to stop errors on implicit function declarations.
  * Add files via upload
  * Add files via upload
  * add kf2k3pcb and svc bootleg
  * add svc bootleg,kf2k3pcb and almost decrypt program
  * add void for bootleg game decryption
  * add kf2k3pcb and svc bootleg game
  * Update mame2003-plus.xml
  * 8bpm corrected colors
  * game colors now correct
  * bbbuster - b2b
  * Align Bang Bang Busters romname with current MAME
  * Fix sound and add redumped gfx 3 roms from MAME113.u3 for Pochi and Nyaa
  * Mrtnt gfx roms and proms
  * Tidy up
  * Move SVC bootleg to clones
  * Move neogeo_init call
  * Parents and clones
  * New one
  * svc
  * Let's finally support an offical version of SVC Chaos SNK Vs Capcom
  * White space
  * Ost sample tag
  * latest change
  * Match to parent name
  * add samples back
  * List samples for now
  * add m1 decrypted
  * add m1 decrypted program
  * add m1 decrypted program
  * add m1 audiocrypt label
  * house keeping
  * Changelog refine
  * macro "GAME" passed 10 arguments, but takes just 9
  * GAME_UNEMULATED_PROTECTION on Quartets
  * M92 temp fix or maybe we can just keep it like so
  * kof2003 /* 0271 (c) 2003 SNK Playmore */
  * Add credits for new KOF games added
  * Revert
  * Revert 1 color change
  * fix array bounds issue
  * array bounds issue
  * Update mame2003-plus.xml
  * Update flicker
  * Fix Berabohm
  * Fix comments
  * Fix comments
  * Fix comment
  * Fix comment
  * Update note
  * dotriman
  * add neogeo kof bootleg game
  * add neogeo kof bootleg game
  * add neogeo kof bootleg game
  * add neogeo kof bootleg game
  * Backdrop
  * tweak backdrop
  * blueshrk artwork
  * forgot to remove
  * Update CHANGELOG.md
  * statriv2 colors fixed
  * Blueshrk crosshairs mod
  * statriv2 master clock
  * Palette statriv2 color fix
  * New games, credits and promotion
  * Taito corp japan
  * cbombers
  * VIDEO_UPDATE cbombers
  * Add support for Taito's Chase Bombers
  * Update paradise.c
  * Kung Fu Master 8-WAY
  * dotriman driver
  * dotriman
  * Battlecry 8-way
  * Bagman 4way
  * Botanic IPF_4WAY
  * Fix rotation
  * English botanic
  * Update catver.ini
  * Botanic
  * update dips again
  * Botanic
  * Changelog changes
  * stupid is what stupid does
  * More credits and promote some of the bigger fixes and or additions
  * Credits Credits Credits
  * pprobe
  * Some video changes needed for pprobe
  * New working game Planet Probe (Prototype)
  * Set defaults
  * Config pedals
  * No pedal3 available map to player3
  * Syntax fix
  * Configure pedals properly
  * Small mention for the Athena music fix
  * remove hardcoded cyclone dynarec for rpi0
  * add blocks for targeting rpi0 and rpi1
  * Bowler default.
  * Fix
  * Revert one dip
  * Bowler dip update
  * offroadc bootstrap enhancement
  * crusnusa bootstrap enhancement
  * vroom vroom gas pedal sensitivity
  * Update mame2003-plus.xml
  * Fix mistake
  * Igmo
  * Legion
  * Update system18.c
  * Ost tag fix
  * Ost tag fix
  * Ost tag
  * Ost tag
  * Ost tag
  * Ost tag
  * Update mame2003.c
  * Delete `Ganbare! Gonta!! 2` dupe
  * Update mame2003.c
  * Update common.c
  * Update info.c
  * Promote Trojan / Tatakai No Banka  sound fix
  * bootstrap crusnu21 crusnu40
  * offroadc bootstrap
  * Tidy option
  * Fix overflows
  * Honor no ost
  * Update and credits for grant2258
  * grant2258 ddragon.c improvements cont
  * grant2258 ddragon.c improvements
  * Updatey
  * racingb
  * VIDEO_UPDATE (racingb)
  * New working game Racing Beat
  * Small Mistake
  * Add Off Road Challenge to the now working list
  * Off Road Challenge Is now playable
  * Backport a fix for Midway's Off Road Challenge
  * Add Joshi Volleyball to the fixed and working list
  * remove dev notes
  * update gsword_vidhrdw
  * Joshi MCU sim cont
  * Hook up Joshi Volleyball MCU sim
  * Update gsword.c
  * Tmnt volume
  * madball
  * crusnusa bootstrap
  * fix mistake
  * madball parent
  * madball new games
  * torus
  * new game torus
  * update paradise video
  * Brake is pedal2
  * Update mame2003-plus.xml
  * new clone
  * new kid friendly clone
  * Slide show
  * Tgtball working
  * 54 verified
  * 1Mhz / 132 verified
  * Nude
  * Cleanup comments
  * Make working
  * Flip screen tgtball
  * Tgtball flip screen invert
  * Paradise video update
  * Tgtball year
  * Tgtball dip update
  * Paradise dip update again
  * Paradise dips update
  * Target ball inputs
  * Another for the pot
  * Whoops no hack needed for pal5bit
  * hook in the romset
  * flytiger related
  * Flying Tiger
  * Update for user pending test -  tmnt volume
  * Revert.
  * Revert no change
  * Updatey
  * New working game Kubuki-Z
  * tnzs updated final bit
  * tnzs update cont
  * tnzs.c begin update
  * Whoops listed twice
  * add igmo
  * Update epos.c
  * fix hacks mistake
  * X-men 6player not a new game
  * IGMO color prom
  * Update mame2003-plus.xml
  * Arrange NeoGeo portion of driver.c
  * move Mortal Kombat hacks to appropriate category
  * Add coin counter
  * Fix sound problems in Trojan / Tatakai No Banka
  * Another one for the pot
  * If it's unknown it's better switched off
  * steelwkr
  * New working game Taito's Steel Worker
  * Updatey
  * Sexy Pariodius Asia
  * Hookup sexyparo
  * Sexy Parodius in English
  * Reduce volume some
  * Set default
  * New one
  * Ufo Senshi Yohko Chan
  * video update call
  * Small changes for the new game
  * Add a working version
  * Add coin counter and lockout
  * Update mame2003-plus.xml
  * dodgeman imperfect graphics - sound is good though
  * cleanup and tweak
  * Reduce volume
  * Commented 2nd chip out until we find a solution
  * imperfect sound - dodgeman
  * revert - most of the game sounds working, while we fix this up.
  * Revert and try something else
  * This should fix the sound
  * Update CHANGELOG.md
  * Update battlex.c
  * driver_init hooked up
  * dodgeman
  * Update catver.ini
  * Machine Init
  * dodgeman
  * dodgeman
  * dodgeman
  * Update battlex.c
  * Update battlex_vidhrdw.c
  * Update battlex.h
  * Update battlex.c
  * Dodgeman wip 1
  * Cleanup and update
  * Update mame2003-plus.xml
  * sourcefile dat - user requested.
  * Alter record time speed.
  * Use cliprect
  * Ipf_cocktail placed under type
  * Set irq instead of reset / use port bit impulse
  * Control reached end of non void function
  * No return here
  * battlex major improvements
  * Another attempt at fixing the crash in Double Dragon
  * live pipeline
  * Update README.md
  * Update README.md
  * Bye-bye
  * 4 players activate rungun
  * Simplify with total_controllers
  * Update mips3.c
  * read 6 players
  * cpu xmen6p
  * Fixed crashes in games xmen6p and xmen6pu.
  * Hanaroku use more correct colors.
  * Update to use new pal5bit functions in palette.h
  * Update mame2003-plus.xml
  * pal5bit now supported.
  * Get rid of silly pal5bit hacks where possible
  * Vball color fix pal4bit
  * update naming convention to 2003
  * forgot to change dips
  * forgot to edit dips
  * configure settings dream soccer 94 japan
  * configure settings dream soccer 94
  * not service port
  * m107 dream soccer 94 active high
  * Thunder Cross Fix collisions
  * space
  * add static inline
  * Superior Soldiers sound reset m92
  * Fix sound FX in Chouji Meikyuu Legion [Nichibutsu]
  * Update senjyo.c
  * color fixed
  * pal4bit inline function added to pallette.h
  * fix background colors in baluba
  * inline functions for backporting code
  * Fix colors in ambush
  * Add .gitlab-ci.yml
  * libretro-common resync
  * Spacing.
  * Revert
  * Icount set to 0
  * icount
  * mips3.c 78
  * New ones
  * Mirax two new sets
  * declare the new driver
  * New driver mirax.c
  * viostorm hiscore.dat names
  * Mips3.c delay slot
  * Mips3.c check_irqs
  * Remove unused printf
  * Mips3.c fcc
  * viostorm viostrmj viostrma bootstrap blood
  * Tweak
  * Vita / libnx -fcommon  cxxflags
  * X-Men euro description
  * format spacing
  * Don't remove slash at root
  * Mention the games that now work
  * Let's get the japan versions of wbml playable
  * revert didn't work
  * Gcc-10 fcommon for switch
  * Fix a crash and some small graphical niggles in Popeye
  * Default to simultaneous input interface
  * carnevil bootstrap
  * Ioasic swap init
  * nslashers blood bootstrap
  * revert
  * reduce sensitivity of start trog controls
  * hiimpact shimpact shimpacp bootstraps
  * dcs2 put the speedups back in
  * Revert previous changes to dc2 sound remove speedups
  * Add ps2 - beta trial
  * Update CHANGELOG.md
  * More changes
  * osd_get_path_info
  * osd_fopen
  * Extra space in log lines for readability
  * Remove not operator
  * Separate and space
  * Force missing directories
  * remove spam in log - test purposes
  * force dir creation
  * wiiu fix attempt 2
  * Revert broke paths.
  * Fix wiiu
  * oops
  * Update mame2003.c
  * const int
  * fix up
  * updates for libretro common
  * Number of controls
  * libretro common
  * Small fix for SNK's Athena
  * typo
  * typo
  * update chd.h
  * add chd specific errors
  * more logging
  * add logging
  * Typo
  * pointer doesn't need return
  * Remove condition - trailing slash removal beta
  * Cleanup
  * add int i back
  * trailing slash removal beta
  * Wiiu save dir slash removal
  * Revert
  * Attempt2 wiiu
  * precompile dat
  * Around for WiiU filepath
  * Update mame2003-plus.xml
  * Update catver.ini
  * scessjoe added
  * Update CHANGELOG.md
  * add success joe world
  * Update mystwarr.c
  * Update CHANGELOG.md
  * Fix speech and sfx sample playback for Ashita no Joe
  * Update namcos2.c
  * luckywld bootstrap
  * Luckywld ports
  * luckywld analog position
  * Update mame2003-plus.xml
  * update name
  * Update mame2003-plus.xml
  * Update mame2003-plus.xml
  * umk3p mk2p bootstrap
  * Update CHANGELOG.md
  * Update driver.c
  * Beta tag
  * Update midtunit.c
  * cleanup
  * cleanup
  * cleanup
  * cleanup umk3+ support
  * nbajam bootstrap
  * Update midwunit.c
  * Update midwunit.c
  * Update midwunit.c
  * Update driver.c
  * Update driver.c
  * Update driver.c
  * Update driver.c
  * Update frontend_list.h
  * Update midwunit_machine.c
  * Update midwunit_machine.c
  * Update midwunit.c
  * Update midtunit.c
  * Honor no ost
  * Honor no ost
  * Honor no ost
  * Honor no ost
  * Update williams_sndhrdw.c
  * Revert
  * Revert
  * Set toggle for alt sound
  * CD soundtrack toggle
  * Update midtunit.c
  * add mk2+
  * Update driver.c
  * Update catver.ini
  * Update midwunit.c
  * Update driver.c
  * Create midwunit.c
  * Create driver.c
  * Delete midwunit.c
  * Delete driver.c
  * cleanup support for umk3+
  * default cd audio off
  * xmen6p: fixed some gfx issues [dink/fbneo] cont
  * xmen6p: fixed some gfx issues [dink/fbneo]
  * Update mame2003-plus.xml
  * Update bin2c.c
  * Update bin2c.c
  * totcarn bootstrap
  * Dip coinage cmos
  * Update mame2003-plus.xml
  * Update CHANGELOG.md
  * trog bootstrap support
  * Update driver.c
  * Update gauntlet.c
  * Gauntlet memory sound reset
  * Update CHANGELOG.md
  * Remove gauntlet from dat
  * btoads cfg
  * Update xmen_vidhrdw.c
  * Update xmen_vidhrdw.c
  * Update xmen_vidhrdw.c
  * Update xmen_vidhrdw.c
  * Update xmen_vidhrdw.c
  * White space
  * White space
  * White space
  * White space
  * White space
  * White spaces
  * Update cps1.c
  * White spaces
  * White space
  * White spaces
  * typo fix
  * ddsom bootstraps
  * Update hiscore.dat
  * Update CHANGELOG.md
  * meta
  * Update xmen.c
  * Update xmen_vidhrdw.c
  * Update xmen.c
  * Update xmen_vidhrdw.c
  * Update driver.c
  * Update xmen.c
  * Update xmen_vidhrdw.c
  * Fix some pallette related graphical niggles in UMK3
  * Update README.md
  * wwfmania volume
  * max players wit
  * Update dassault.c
  * Update commando.c
  * Max players
  * Max players
  * Update CHANGELOG.md
  * Update CHANGELOG.md
  * Update mame2003-plus.xml
  * Small Stuff
  * categorise f1lap and add in f1lapj
  * Kyukyoku Sentai Dadandarn now becomes the clone of mmaulers
  * f1lap and f1lapj
  * Add support for the World version of F1 Superlap and update romsets for this game to current MAME
  * bootstrap
  * Update midyunit.c
  * bootstrap
  * bootstrap volume
  * Update mame2003-plus.xml
  * Update midxunit.c
  * max players
  * Update mystwarr.c
  * max players
  * max players
  * max players allowed
  * Update midyunit.c
  * Update midyunit.c
  * Update mame2003-plus.xml
  * Update mame2003-plus.xml
  * Update mystwarr.c
  * Update neogeo.c
  * neogeo-unibios40
  * Update mame2003.c
  * Update CHANGELOG.md
  * Update neogeo.c
  * Update CHANGELOG.md
  * mmaulers
  * Update CHANGELOG.md
  * Update CHANGELOG.md
  * Update mame2003.c
  * Update inptport.c
  * Rename jrpacmanf to jrpacmnf to match 8 character length of other 2003 roms
  * Update bootstrap.c
  * Update kinst.c
  * rmpgwt bootstraps
  * Update bootstrap.c
  * Update mame2003.c
  * Update midwunit_machine.c
  * Update midwayic.c
  * Update midtunit_machine.c
  * Update seattle.c
  * Update midvunit.c
  * Update kinst.c
  * fix dcs reset control
  * Update midwunit_machine.c
  * Eof fixes (#864)
  * Update CHANGELOG.md
  * Eof includes (#863)
  * Finished drivers (#862)
  * Trailing and extra spacing eof (#861)
  * Update rungun.c (#858)
  * Update link.T
  * Update CHANGELOG.md
  * Update bin2c.c
  * Update hiscore_dat.h
  * Add jrpacmanf speedhack rom
  * Update midyunit.c
  * Update midxunit.c
  * Update bootstrap.h
  * Update bootstrap.c
  * Disable "speedup cheat" virtual dip switch for pacmanf and mspacmnf
  * Add pacmanf and mspacmnf roms (speedup hacks)
  * Update midwunit_machine.c
  * Update midwunit_machine.c
  * Update midwunit_machine.c
  * added support for mk2p and umk3p
  * Update midwunit_machine.c
  * cleanup mk2p and umk3p support
  * cleanup support for mk2p
  * Update bootstrap.h
  * clean up mk2p support
  * add support for mk2p
  * cleanup mk2p and umk3p support
  * Update midwunit_machine.c
  * Update midtunit.c
  * support for umk3p
  * Update midwunit.c
  * clean up code
  * Update midtunit.c
  * Update midwunit.c
  * Update mame2003-plus.xml
  * Update mame2003-plus.xml
* Sun Aug  9 2020 i@guoyunhe.me
- Update to version 0~git20200807:
  * Update mystwarr.c
  * Update simpl156.c
  * Update foodf.c
  * Update midyunit.c
  * Update mystwarr.c
  * Update mystwarr.c
  * Update bootstrap.c
  * Update bootstrap.h
  * Update bootstrap.h
  * Update mcr2.c
  * Update mcr2.c
  * Update inptport.c
  * Update mame2003.c
  * Update mame.h
  * twotigra
  * Windows MSVC 2003 x86 and rpi4 added.
  * Update .travis.yml
  * Fix various graphical niggles for the video system games
  * Update .travis.yml
  * Turbo Force fix numerous problems due to incorrect inputs
  * Update bootstrap.c
  * Removed custom OST samples from DAT
  * Remove Final Fight AE OST from DAT
  * Update catver.ini with new games
  * Add the proper manufacturers in this case Semicom and or Licence
  * Update mame2003-plus.xml
  * Update catver.ini
  * Revert this change and use a bypass hack for Gunbird 2 via the psikyosh driver
  * Actually there is another way of doing this
  * Added PSClassic (#752)
  * Forgot to add 2P Controls for Opa Opa and Tetris
  * MSVC buildfix
  * update once again
  * Declare the new ones
  * Video Changes needed for Opa Opa and Slap Shooter
  * Three new working games
  * Connected to Gunbird 2 fix
  * Fix Gunbird 2 from randomly crashing
  * Update inptport.c
  * Update CHANGELOG.md
  * Update 8080bw_vidhrdw.c
  * Update 8080bw_sndhrdw.c
  * Update 8080bw.h
  * Update 8080bw_drivers.c
  * Update CHANGELOG.md
  * twotigra
  * Update mcr2.c
  * Update CHANGELOG.md
  * Update CHANGELOG.md
  * Update thief.c
* Sat Jun  6 2020 i@guoyunhe.me
- Update to version 0~git20200525:
  * Mention the new one
  * Gulun.Pa! gfx mapping
  * gulunpa
  * New working game Gulun.Pa! CPS1 prototype
  * Update CHANGELOG.md
  * Update CHANGELOG.md
  * sample volume
  * Update samples.h
  * Update samples.c
  * Update mixer.h
  * Update mixer.c
  * sample pause support for journey
  * Let's support another joystick bootleg this time for TANK III
  * mention the new one
  * TANK III Joystick bootleg
  * Update mcr2.c
  * Whatsnew and credits
  * Update mcr2.c
  * Update samples.c
  * fix big samples dynamic loading when not an ost item
  * Update mcr2.c
  * Update mcr2.c
  * Update foodf.c
  * Update inptport.c
  * Update mame2003.c
  * Update mame.h
  * Update inptport.c
  * Update foodf.c
  * Fix a bug in loop condition
  * grant2258 A fix for Midway MCR3 game saving
  * Update dat grant2258
  * Last one from me
  * hmmm
* Sun Feb  9 2020 i@guoyunhe.me
- Update to version 0~git20200209:
  * Renegade bootleg
  * Renegade Bootleg set
  * New stuff
  * Rumba Lumber 1984 Taito
  * Rumba Lumber Video code
  * New Working Game
  * Hook up the M68705 MCU's for Renegade and Nekketsu Kouha Kunio-kun
  * Update dat for Renegade and Kunio Kun changes (pending)
  * Fix -mthumb for cyclone and drz80
  * Whoops!!
  * Revert SF samples for now
  * Fix build revert SF samples for now
  * SF 2 OSD cont
  * Add support for SF 2 custom OSD
  * Skull Fang notes
  * grant2258 small graphical fixes for Bionic Commando / Top Secret
  * grant2258 match CPU clocks to the speed of the actual PCB
  * Update libretro.h
  * (MSVC 2017) Buildfix
  * (MSVC 2017) Buildfix
  * fix emscripten
  * Fix for speedups on altered beast
  * Format error
  * Some changes on interrupts for Cyclone and DrZ80
  * (VITA) Add Cyclone and DrZ80
  * Cyclone and DrZ80 support
  * U.N. Defense Force - Earth Joker fix rowscroll on final level
  * Revert on previous commit as it kills the game speed
  * updatey
  * gunnailp
  * NMK16 Changes
  * GunNail Gfx Improvements
  * New opwolf driver hooked up to the C-Chip simulation
  * Add opwolf C-Chip machine
  * Operation Wolf C-Chip Simulation
  * Switch Ghouls N Ghosts to use 4-WAY inputs
  * Switch Ghost's N Goblins to use 4-WAY inputs
  * barbudreadmon fix for Eagle Shot Golf on Arm hardware
  * grant2258 v60 changes cont
  * grant2258 v60 changes for ARM hardware
  * Remove this unused function - it's preventing it from building for emscripten
  * Metamorphic Force revert changes
  * Revert Metamorphic Force changes
  * Metamorphic Force test cont
  * Test for sprite offsets in Metamorphic Force
  * Mention the new one
  * Gfx mapping for Final Fight 30th Anniversary Edition
  * ffightae
  * Add support for Final Fight 30th Anniversary Edition
  * Fix the lights dont go out when shot in Elevator Action Returns and clones
  * Attempt to fix priority issues in Fighters History
  * Mention the new hack
  * Whoops
  * Metal Slug 2 Turbo
  * Forgot about this one so lets support it
  * Correct way to compare string
* Mon Nov 11 2019 i@guoyunhe.me
- Update to version 0~git20191109:
  * For the new one
  * Eeekk!
  * New working game Eeekk!
  * Revert Scramble Spirits changes it wont work in this core
  * Do some work on Sega System 24
  * Silence debug message
  * Little hack to fix some gfx problems in Lethal Enforcers
* Mon Nov 11 2019 Yunhe Guo <i@guoyunhe.me>
- Change license to NonFree
  * See https://github.com/libretro/mame2010-libretro/issues/137#issuecomment-552253010
* Wed Oct 23 2019 Yunhe Guo <i@guoyunhe.me>
- Initial version
